LibreOffice: RegistryServiceManager Service Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Exported Interfaces | Public Attributes | List of all members
RegistryServiceManager Service Referencepublished

Provides a collection of implementations for services reading from a persistent registry storage. More...

`import <RegistryServiceManager.idl;`

Inheritance diagram for RegistryServiceManager:

## Included Services
service | com::sun::star::lang::ServiceManager
| This is a derived ServiceManager service.
Included Services inherited from ServiceManager
service | com::sun::star::lang::MultiServiceFactory
| This is a derived MultiServiceFactory service.

## Exported Interfaces
interface | com::sun::star::lang::XInitialization
| The first two arguments of the initialization arguments reference:
interface | com::sun::star::beans::XPropertySet
| Property access.
Exported Interfaces inherited from ServiceManager
interface | com::sun::star::lang::XComponent
| Disposing of service manager.
interface | com::sun::star::container::XSet
| Management of service factories.
interface | com::sun::star::container::XContentEnumerationAccess
| Enumeration of all service factories.
interface | com::sun::star::beans::XPropertySet
| Property access.
Exported Interfaces inherited from MultiServiceFactory
interface | com::sun::star::lang::XMultiServiceFactory
| This interface uses a service name to instantiate a component which supports the specified service.
interface | com::sun::star::lang::XMultiComponentFactory
| This interface uses a service name and a component context to instantiate a component which supports the specified service.

## Public Attributes
com::sun::star::registry::XSimpleRegistry | Registry
| Specifies the current registry to be read from.
Public Attributes inherited from ServiceManager
com::sun::star::uno::XComponentContext | DefaultContext
| specifies the default component context to be used, if instantiating services via XMultiServiceFactory

## Additional Inherited Members
Public Member Functions inherited from XMultiServiceFactory
com::sun::star::uno::XInterface | createInstance ([in] string aServiceSpecifier) raises ( com::sun::star::uno::Exception )
| Creates an instance classified by the specified name.
com::sun::star::uno::XInterface | createInstanceWithArguments ([in] string ServiceSpecifier, [in] sequence< any > Arguments) raises ( com::sun::star::uno::Exception )
| Creates an instance classified by the specified name and passes the arguments to that instance.
sequence< string > | getAvailableServiceNames ()
| Provides the available names of the factory to be used to create instances.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XMultiComponentFactory
com::sun::star::uno::XInterface | createInstanceWithContext ([in] string aServiceSpecifier, [in] com::sun::star::uno::XComponentContext Context) raises (com::sun::star::uno::Exception)
| Creates an instance of a component which supports the services specified by the factory.
com::sun::star::uno::XInterface | createInstanceWithArgumentsAndContext ([in] string ServiceSpecifier, [in] sequence< any > Arguments, [in] com::sun::star::uno::XComponentContext Context) raises (com::sun::star::uno::Exception)
| Creates an instance of a component which supports the services specified by the factory, and initializes the new instance with the given arguments and context.
sequence< string > | getAvailableServiceNames ()
| Gets the names of all supported services.
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XSet
boolean | has ([in] any aElement)
void | insert ([in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::ElementExistException )
| inserts the given element into this container.
void | remove ([in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException )
| removes the given element from this container.
Public Member Functions inherited from XEnumerationAccess
com::sun::star::container::XEnumeration | createEnumeration ()
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XContentEnumerationAccess
com::sun::star::container::XEnumeration | createContentEnumeration ([in] string aServiceName)
sequence< string > | getAvailableServiceNames ()
Public Member Functions inherited from XInitialization
void | initialize ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| initializes the object.
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.

## Detailed Description

Provides a collection of implementations for services reading from a persistent registry storage.

For usage of the service manager have a look at service description of ServiceManager.

See also
  ServiceManager

## Exported Interfaces

## ◆ com::sun::star::lang::ServiceManager

service com::sun::star::lang::ServiceManager

This is a derived ServiceManager service.

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

Property access.

## ◆ com::sun::star::lang::XInitialization

interface com::sun::star::lang::XInitialization

The first two arguments of the initialization arguments reference:

1. a simple registry (com::sun::star::registry::XSimpleRegistry), i.e. the registry to be read from
2. a component context (com::sun::star::uno::XComponentContext) to be installed as "DefaultContext" property of the ServiceManager which is the context to be used using the XMultiServiceFactory interface.

## Member Data Documentation

## ◆ Registry

com::sun::star::registry::XSimpleRegistry Registry
| propertyreadonly

Specifies the current registry to be read from.

The documentation for this service was generated from the following file:

- com/sun/star/lang/RegistryServiceManager.idl